import request from '@/utils/request'

// 查询支付记录列表
export function listPayMoneyLog(query) {
  return request({
    url: '/system/PayMoneyLog/list',
    method: 'get',
    params: query
  })
}

// 查询支付记录详细
export function getPayMoneyLog(id) {
  return request({
    url: '/system/PayMoneyLog/' + id,
    method: 'get'
  })
}
// 查询wechat_transfer详细
export function getUserDataList(type) {
  return request({
    url: '/system/transfer/getUsersDataList/'+type,
    method: 'get'
  })
}
// 新增支付记录
export function addPayMoneyLog(data) {
  return request({
    url: '/system/PayMoneyLog',
    method: 'post',
    data: data
  })
}

// 修改支付记录
export function updatePayMoneyLog(data) {
  return request({
    url: '/system/PayMoneyLog',
    method: 'put',
    data: data
  })
}

// 删除支付记录
export function delPayMoneyLog(id) {
  return request({
    url: '/system/PayMoneyLog/' + id,
    method: 'delete'
  })
}
